From 721c1e990e93acb1827cf638ca413a191847d75c Mon Sep 17 00:00:00 2001
From: Eric Barbour <ebarbour@redhat.com>
Date: Jul 14 2016 14:40:39 +0000
Subject: [PATCH 541/1001] Fix human readable time, clean up JS/JSX


---

diff --git a/.gitignore b/.gitignore
index 7787cd3..74ff6cc 100644
--- a/.gitignore
+++ b/.gitignore
@@ -7,3 +7,4 @@ build/
 scratch/
 
 npm-debug.log
+client_secrets.json
\ No newline at end of file
diff --git a/hubs/static/client/app/components/Markup.jsx b/hubs/static/client/app/components/Markup.jsx
index 5023498..66f4da4 100644
--- a/hubs/static/client/app/components/Markup.jsx
+++ b/hubs/static/client/app/components/Markup.jsx
@@ -1,4 +1,5 @@
 import React from 'react';
+import TimeAgo from 'react-timeago';
 
 export default class Markup extends React.Component {
   createMarkup() {
@@ -12,7 +13,7 @@ export default class Markup extends React.Component {
           dangerouslySetInnerHTML={this.createMarkup()}
         >
         </h4>
-        {this.props.match.human_time}
+        <TimeAgo date={this.props.match.date_time} />
       </div>
     );
   }
diff --git a/hubs/static/client/app/index.jsx b/hubs/static/client/app/index.jsx
index a753c36..b12429e 100644
--- a/hubs/static/client/app/index.jsx
+++ b/hubs/static/client/app/index.jsx
@@ -1,4 +1,4 @@
 import React from 'react';
 import { render } from 'react-dom';
 
-import Feed from './components/Feed.jsx'
+import Feed from './components/Feed.jsx';
